/* AMXMOD script.
*
* (c) Copyright 2000-2002, OLO
* This file is provided as is (no warranties).
*
*/

#include <amxmod>

public glow_all()
{
	new red[12]
	new green[12]	 
	new blue[12]
	new alpha[12]

	new players[32]
	new inum
	get_players(players,inum)

	if (read_argc()<5)
	{
		for(new i = 0 ;i < inum; ++i)
		{
			user_glow(players[i])
		}

		server_print("Usage:  glow < red > < green > < blue > < alpha > (default: 0 0 0 255)")
	}
	else
	{
		read_argv(1,red,12)
		read_argv(2,green,12)
		read_argv(3,blue,12)
		read_argv(4,alpha,12)

		for(new i = 0 ;i < inum ;++i)
		{
			user_glow(players[i],kRenderFxGlowShell,str_to_num(red),str_to_num(green),
				str_to_num(blue),kRenderTransAlpha,str_to_num(alpha))
		}
	}

	return PLUGIN_HANDLED

}

public plugin_init()
{
	register_plugin("GLOW","0.4","-")

	register_srvcmd("glow","glow_all")

	return PLUGIN_CONTINUE
}
