/* AMXMOD script.
*
* (c) Copyright 2000-2002, OLO
* This file is provided as is (no warranties).
*
*/

#include <amxmod>

new light

lightning(vec1[3],vec2[3])
{
	message_begin( MSG_BROADCAST,SVC_TEMPENTITY)
	write_byte( 0 )
	write_coord(vec1[0])
	write_coord(vec1[1])
	write_coord(vec1[2])
	write_coord(vec2[0])
	write_coord(vec2[1])
	write_coord(vec2[2])
	write_short( light )
	write_byte( 1 )
	write_byte( 5 )
	write_byte( 2 )
	write_byte( 20 )
	write_byte( 30 )
	write_byte( 200 )
	write_byte( 200 ) 
	write_byte( 200 )  
	write_byte( 200 )
	write_byte( 200 )
	message_end()

	message_begin( MSG_PVS, SVC_TEMPENTITY,vec2)
	write_byte( 9 )
	write_coord( vec2[0] )
	write_coord( vec2[1] )
	write_coord( vec2[2] )
	message_end()

}

public slay_player()
{
	if (read_argc()<2)
	{
		server_print("Usage:  slay < part of nick >")
		return PLUGIN_HANDLED
	}

	new name[32]
	read_argv(1,name,32)

	new tokill = find_player("b",name)

	if (tokill)
	{
		if (is_user_alive(tokill)==0)
		{
			server_print("Client ^"%s^" is already dead",name)
			return PLUGIN_HANDLED
		}

		new origin[3]
		get_user_origin(tokill,origin)
		origin[2] = origin[2] - 26
		new sorigin[3]
		sorigin[0] = origin[0] + 150
		sorigin[1] = origin[1] + 150
		sorigin[2] = origin[2] + 400
		lightning(sorigin,origin)
		emit_sound(tokill,CHAN_ITEM, "ambience/thunder_clap.wav", 1.0, ATTN_NORM, 0, PITCH_NORM)
		user_kill(tokill,1)
		get_user_name(tokill,name,32)
		server_print("Client ^"%s^" has been killed",name)
	}
	else
	{
		server_print( "Client with part of nick ^"%s^" doesn't exist",name)
	}


	return PLUGIN_HANDLED

}

public plugin_precache()
{
	light = precache_model("sprites/lgtning.spr")
	precache_sound( "ambience/thunder_clap.wav")

	return PLUGIN_CONTINUE
}



public plugin_init()
{
	register_plugin("SLAY","0.4","-")

	register_srvcmd("slay","slay_player")

	return PLUGIN_CONTINUE
}
