/* AMXMOD script.
*
* (c) Copyright 2000-2002, OLO
* This file is provided as is (no warranties).
*
*/

#include <amxmod> /* read this file to learn the functions */

new gMenu

new gKillers[33] = { 0 , ... }

public menu_option1(id,keys)
{
	client_print(gKillers[id],print_chat,"[AMX] You have been punished by your victim")
	remove_user_flags(gKillers[id],(1<<0),31)
	user_kill(gKillers[id])

	return PLUGIN_HANDLED
}

public menu_option2(id,keys)
{
	new string1[32]
	new string2[32]
	get_user_name(id,string1,32)
	get_user_name(gKillers[id],string2,32)
	client_print(0,print_chat,"[AMX] %s forgave %s",string1,string2)
	remove_user_flags(gKillers[id],(1<<0),31)

	return PLUGIN_HANDLED
}

public menu_option3(id,keys)
{
	client_print(gKillers[id],print_chat,"[AMX] You will be punished on nextround")

	return PLUGIN_HANDLED
}

tkrevenge_menu(id,name[])
{
	new toshow[256]
	format(toshow,256,"\yTK Revenge on %s^n^n\w1. Kill now!^n2. Forgive TK^n^n0. Punish on nextround",name)
	new keys = (1<<0)|(1<<1)|(1<<9) /* set bits for keys: 1, 2 and 0 */
	show_menu(id,keys,toshow)
}

public death_msg(id)
{
	new killer = read_data(1)
	new victim = read_data(2)

	if ( killer && (killer!=victim) ) 
	{
		if (get_user_team(killer)==get_user_team(victim)) /* check indexes of teams*/
		{
			set_user_flags(killer,(1<<0),31) /* set flag for kill - i could use just normal var to set that */
			gKillers[victim] = killer
			new name[32]
			get_user_name(killer,name,32)
			tkrevenge_menu(victim,name)
		}
	}


	return PLUGIN_CONTINUE
}

public kill_with_delay(parm[])
{
	new id = str_to_num(parm)
	client_print(id,print_chat,"[AMX] You have been punished for killing the teammate(s)")
	user_kill(id)
}

public reset_hud(id)
{
	if (get_user_flags(id,31)&(1<<0)) /* if we have set our - punish - flag */
	{
		new player[4]
		num_to_str(id,player,4)
		set_task(0.25,"kill_with_delay",0,player) /* kill with delay or we will have some small troubles */
		remove_user_flags(id,(1<<0),31)
	}

	return PLUGIN_CONTINUE
}

public client_connect(id)
{
	client_cmd(id,"echo This server is using [AMX] TK Revenge Plugin") /* send some info on client console */
	remove_user_flags(id,(1<<0),31) /* remove punish flag no matter if it is set or not */

	return PLUGIN_CONTINUE
}

public new_game()
{
	for(new i = 1; i < 33; ++i)	remove_user_flags(i,(1<<0),31)
}

public plugin_init()
{
	register_plugin("TK REVENGE","0.4","-")

	gMenu = register_menuid("TK Revenge") /* register menu TK Revenge */

	register_menucmd(gMenu,(1<<0),"menu_option1") /* register some menu options */
	register_menucmd(gMenu,(1<<1),"menu_option2")
	register_menucmd(gMenu,(1<<2),"menu_option3")

	register_event("TextMsg","new_game","a","2&#Game_C","2&#Game_w")
	register_event("ResetHUD","reset_hud","b")
	register_event("DeathMsg","death_msg","a")

	server_cmd("mp_tkpunish 0") /* send as server command the disabling for mp_tkpunish */
	/* this could be also set_cvar_float("mp_tkpunish",0.0) */

	return PLUGIN_CONTINUE
}
